[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadSectionValues

Read names and values of a section

## Declaration

Source position: inifiles.pp line 149

`public procedure TCustomIniFile.ReadSectionValues(`
`const Section: String;`
`Strings: TStrings`
`); virtual; abstract;`

## Arguments

`Section` |  | Section for which to read key names and values
`Strings` |  | Stringlist to store key/value pairs in

## Description

ReadSectionValues returns the keys and their values in the section Section in Strings. They are returned as Key=Value strings, one per key, so the Values property of the stringlist can be used to read the values. To retrieve just the names of the available keys, ReadSection can be used.

## See also

SectionExists |  | Check if a section exists.
ReadSections |  | Read the list of sections
ReadSection |  | Read the key names in a section

The latest version of this document can be found at lazarus-ccr.sourceforge.net .